#! /bin/sh
#
# Licensed materials - Property of IBM
# 5724-T07 Copyright IBM Corp. 2012
# All rights reserved
# US Government users restricted rights  -  Use, duplication or
# disclosure restricted by GSA ADP schedule contract with IBM Corp.
#
# Shell script to generate HLAsm macro files
#
echo
echo -------------------------------------------------------------
echo HLAsm Macro File Generator
echo -------------------------------------------------------------
echo $(sysvar SYSNAME) -- $(date)
id
 
# find rsed.envvars
if test $RSE_CFG         # invoked from within product ?
then
  echo RSE configuration files located in $RSE_CFG
else                     # assume current path has rsed.envvars
  RSE_CFG=$PWD
  echo RSE configuration files located in $RSE_CFG --default
fi
echo
 
# input validation
if test ! -x $RSE_CFG/rsed.envvars
then
  echo ERROR -- $RSE_CFG/rsed.envvars is not executable
  exit 16
fi
 
# set environment variables
set -a             	            	# export all future assignments
. /$RSE_CFG/rsed.envvars 2>&1   	# assign values to environment variables

# invoke generator
java  com.ibm.cdz.remote.search.miners.hlasm.generator.HLAsmMacroFileGenerator $* 
_RC=$?
 
exit $_RC
 
